      SUBROUTINE PNTPLT(XCOORD,YCOORD,XFIRST,YFIRST,XFINAL,YFINAL,
     1                  XWIDTH,YWIDTH,XCORNR,YCORNR, LASTX, LASTY)
C     PNTPLT                                                    09/20/67
C     GENPLT-II PROGRAM TO PLOT A SINGLE POINT OR START OF A NEW LINE
C
C     DONALD BARTH, C/O K.B. WIBERG, DEPT. OF CHEMISTRY, YALE UNIVERSITY
C
C     SUBROUTINE PNTPLT ARGUMENT LIST DEFINITIONS.
C
C     XCOORD = X OR HORIZONTAL COORDINATE OF POINT TO BE PLOTTED.
C     YCOORD = Y OR VERTICAL COORDINATE OF POINT TO BE PLOTTED.
C     XFIRST = X COORDINATE COORESPONDING TO LEFT EDGE OF PLOT AREA.
C     YFIRST = Y COORDINATE COORESPONDING TO LOWER EDGE OF PLOT AREA.
C     XFINAL = X COORDINATE COORESPONDING TO RIGHT EDGE OF PLOT AREA.
C     YFINAL = Y COORDINATE COORESPONDING TO UPPER EDGE OF PLOT AREA.
C     XWIDTH = HORIZONTAL WIDTH OF PLOT AREA.
C     YWIDTH = VERTICAL HEIGHT OF PLOT AREA.
C     XCORNR = X DISTANCE FROM PLOTTING TABLE ORIGIN TO LEFT PLOT EDGE.
C     YCORNR = Y DISTANCE FROM PLOTTING TABLE ORIGIN TO LOWER PLOT EDGE.
C     LASTX  = LAST X GRID COORDINATE PLOTTED.
C     LASTY  = LAST Y GRID COORDINATE PLOTTED.
C
       COMMON/PPARM/FACTOR,OFSETX,OFSETY,IERR,IPEN,NTAPE,MODE,IPOINT,
     1IFREER,ILINE
      MODE = IPOINT
      NEWX=FACTOR*(XCORNR+(XWIDTH*(XCOORD-XFIRST)/(XFINAL-XFIRST)))
     . + OFSETX
      NEWY=FACTOR*(YCORNR+(YWIDTH*(YCOORD-YFIRST)/(YFINAL-YFIRST)))
     . + OFSETY
      CALL PENUP (LASTX,LASTY,NEWX,NEWY)
      RETURN
      END
